← API Reference
Signals
Backtest a signal over a date range
post
/api/signals/backtestAuthentication
Stytch session JWT or Bearer API key (cx_...).
Request body
Content-Type: application/json
signal_idrequiredstring
fromrequiredstring<date>
torequiredstring<date>
dryrunboolean
Responses
200Backtest results
okboolean
return_basisenum(simple)
performance.horizons mean_return, median_return and bootstrap_ci_95 are simple returns as decimals (P1/P0 - 1)
signal_idstring
fromstring
tostring
dryrunboolean
totalDaysinteger
triggeredDaysinteger
triggerRatenumber
totalTriggerEventsinteger
avgConfidencenumber | null
daysarray<object>
durationMsinteger
Example request
curl -X POST 'https://cryptyx.ai/api/signals/backtest' \
-H 'Authorization: Bearer cx_...' \
-H 'Content-Type: application/json' \
-d '{ ... }'Try it live in the Playground (auth required to execute).